extractor
Prev | Other Csound Utilities (CS, CSB64ENC, ENVEXT, EXTRACTOR, MAKECSD, MIXER, SCALE) | Next

## extractor

extractor — Extract a section of audio from an audio file.

## Description

Extract a section of audio, by time or sample, from an existing sound file.

## Syntax

    extractor [OPTIONS ... ] infile

## Initialization

Flags:

- -S integer = Start the extract at the given sample number.

- -Z integer = End the extract at the given sample number.

- - Q integer = Extract given number of samples.

- -T fpnum = Start the extract at the given time in seconds.

- -E fpnum = End the extract at the given time in seconds.

- -D fpnum = Extract given time in seconds.

- -v = Verbose mode.

- -R = Continually rewrite the header while writing soundfile (WAV/AIFF).

- -H integer = Show a "heart-beat" to indicate progress, in style 1, 2 or 3.

- -N = Alert call (usually ringing the bell) when finished.

- -v = Verbose mode.

- -o fname = output file name (default: test.wav)

## Examples

The default values are

        extractor -S 0 -Z end-of-file -otest

For example

        extractor -S 10234 -D 2.13 in.aiff -o out.wav

This creates a new sound file taken from sample 10234 and lasting 2.13 seconds.

## Credits

Author: John ffitch

1994

Prev | Up | Next
envext | Home | makecsd